package model

type SysDepartment struct {
	Model
	ModelTenant
	ParentID uint64 `gorm:"column:parent_id;type:int;default:0;comment:父级ID" json:"parent_id"`
	Title    string `gorm:"column:title;type:varchar(20);default:null;comment:部门名称" json:"title"`
	Name     string `gorm:"column:name;type:varchar(20);default:null;comment:联系人" json:"name"`
	Mobile   string `gorm:"column:mobile;type:varchar(15);default:null;comment:联系方式" json:"mobile"`
	Remark   string `gorm:"column:remark;type:varchar(255);default:null;comment:备注信息" json:"remark"`
	ModelDeleted
	ModelAt
}

func (m *SysDepartment) TableName() string {
	return m.NewTableName("sys_department")
}

func NewSysDepartment() *SysDepartment {
	return &SysDepartment{}
}
